
Redmine - Defect #16046

Git doesnt work with latest version

2014-02-06 18:50 - Dell Green

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.3.3

Description

Have upgraded git 1.8.4.2 on my redmine mac server and repositories section in my projects now all show 404 problem. If if

downgrade to git 1.8.3 it works again.

For now i have configured redmine in configuration.yml to use 1.8.3 as a workaround

History

#1 - 2014-02-07 14:51 - Dell Green

Updated to redmine 2.4.2.stable and same problem exists.

Have configured this to also use 1.8.3 for the time being.

#2 - 2014-02-07 23:57 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Cant reproduce

All tests pass.

$ git log -n 1

commit dcb11cca50992339af744e25ca5d0f94b478d3b9

Author: Junio C Hamano <xxxx>

Date:   Mon Oct 28 10:21:29 2013 -0700

    Git 1.8.4.2

    Signed-off-by: Junio C Hamano <xxxxxx>

 
$ make

$ ./git --version

git version 1.8.4.2

 
$ rake test:scm:setup:git

$ rake test:scm

#3 - 2014-02-07 23:58 - Toshi MARUYAMA

Compiling Git and running tests on CentOS 6.5.
